# Uses of Class
com.usatiuk.dhfs.persistence.PeerIdP

Packages that use PeerIdP
Package
Description
com.usatiuk.dhfs.persistence

## Uses of PeerIdP in com.usatiuk.dhfs.persistence

Methods in com.usatiuk.dhfs.persistence that return PeerIdP
Modifier and Type
Method
Description
`PeerIdP`
PeerIdP.Builder.`build()`
`PeerIdP`
PeerIdP.Builder.`buildPartial()`
`static PeerIdP`
PeerIdP.`getDefaultInstance()`
`PeerIdP`
PeerIdP.Builder.`getDefaultInstanceForType()`
`PeerIdP`
PeerIdP.`getDefaultInstanceForType()`
`PeerIdP`
ObjectChangelog.entries_Entry.Builder.`getKey()`
`.dhfs.persistence.PeerIdP key = 1;`
`PeerIdP`
ObjectChangelog.entries_Entry.`getKey()`
`.dhfs.persistence.PeerIdP key = 1;`
`PeerIdP`
ObjectChangelog.entries_EntryOrBuilder.`getKey()`
`.dhfs.persistence.PeerIdP key = 1;`
`static PeerIdP`
PeerIdP.`parseDelimitedFrom(InputStream input)`
`static PeerIdP`
PeerIdP.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerIdP`
PeerIdP.`parseFrom(byte[] data)`
`static PeerIdP`
PeerIdP.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerIdP`
PeerIdP.`parseFrom(com.google.protobuf.ByteString data)`
`static PeerIdP`
PeerIdP.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerIdP`
PeerIdP.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static PeerIdP`
PeerIdP.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerIdP`
PeerIdP.`parseFrom(InputStream input)`
`static PeerIdP`
PeerIdP.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerIdP`
PeerIdP.`parseFrom(ByteBuffer data)`
`static PeerIdP`
PeerIdP.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.persistence that return types with arguments of type PeerIdP
Modifier and Type
Method
Description
`com.google.protobuf.Parser<PeerIdP>`
PeerIdP.`getParserForType()`
`static com.google.protobuf.Parser<PeerIdP>`
PeerIdP.`parser()`
Methods in com.usatiuk.dhfs.persistence with parameters of type PeerIdP
Modifier and Type
Method
Description
`PeerIdP.Builder`
PeerIdP.Builder.`mergeFrom(PeerIdP other)`
`ObjectChangelog.entries_Entry.Builder`
ObjectChangelog.entries_Entry.Builder.`mergeKey(PeerIdP value)`
`.dhfs.persistence.PeerIdP key = 1;`
`static PeerIdP.Builder`
PeerIdP.`newBuilder(PeerIdP prototype)`
`ObjectChangelog.entries_Entry.Builder`
ObjectChangelog.entries_Entry.Builder.`setKey(PeerIdP value)`
`.dhfs.persistence.PeerIdP key = 1;`